Questions tagged [upgrade]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
5
votes
2answers
271 views

How to ensure latest version of Emacs?

How can I tell emacs init el to tell/warn me if the emacs version behind the latest cutting edge version published on the internet. I forgot to mention: I'm a mostly up to date MacOS user
0
votes
2answers
52 views

package-autoremove doesn't work

I tried to use M-x package-autoremove but my .emacs.d directory is still a mess: it's full with several versions of the same package. As side info I use the no-littering package, but when I update ...
3
votes
2answers
60 views

(ucs-names) in Emacs 26 is not working for “EURO SIGN”

I have in my .emacs: (when (>= emacs-major-version 23) (define-key global-map "\C-x8g" (lambda nil (interactive) (ucs-insert `,(cdr (assoc-string "HRYVNIA SIGN" (ucs-names) t))))) (define-key ...
0
votes
0answers
56 views

Cannot Display Empty Priority In Custom Agenda View After 9.1 Upgrade

I like using org agenda column view to view my important TODO items. To make that happen I use the following code: (setq org-agenda-overriding-columns-format "%TODO %4PRIORITY(Pri.) %50ITEM(...
1
vote
0answers
101 views

How to apply a patch to a package without upgrading?

When I tried to use google-translate.el, I got a Failed to search TKK error. And according to this page the error caused by bug#11788. So I have to upgrade Emacs 26 or apply the patch. But latest ...
1
vote
1answer
382 views

Problems with upgrading to org-mode 9 and org repository

I have Emacs 25.1 (9.0) on macOS Sierra from Homebrew and M-x org-version shows version 8.2.10. On org-mode official website, I've seen that the latest version is 9.0. It's not that I'd use any of the ...
1
vote
1answer
3k views

Emacs behind firewall cannot download packages from Melpa

I am using emacs behind a firewall in Windows. I configured the access to proxy and I worked with no problems for a week. But now I can't upgrade emacs packages using Melpa, because the proxy refuses ...
2
votes
1answer
285 views

How to show appointments in org-agenda in Org v.8?

This entry was showing alright in org-agenda in Org 7.8, if I remember correctly. ** Dinner <2016-02-26 Fri 12:00-13:30> Not any more in Org 8.2. Now, it seems I need to have it this way to ...
1
vote
1answer
284 views

After upgrading AUCTeX, (La)TeX mode is unusable (invalid-function TeX-auto-add-type)

I installed AUCTeX through the package interface. This pulled version 11.89 from ELPA. Before that, I was running a version of AUCTeX provided by my operating system (Ubuntu 12.04), which is 11.87. ...
13
votes
7answers
14k views

How can I have the latest version of emacs always

I love using Emacs and I want to have the latest version of Emacs always. But on my Ubuntu machine Emacs won't be upgraded automatically during the regular software updates. Even when I run sudo apt-...
0
votes
1answer
180 views

Can not restore solarized dark theme after updating all packages via MELPA

I updated all my packages via MELPA today and I previously had a solarized dark theme and now its solarized light. I did not change my init.el or any settings. Emacs is not showing any errors. ...
2
votes
2answers
127 views

How to configure org-mode properly after upgrading from 7.9.3

On the orgmode site it says that if you upgrade from org-mode v.7.9.4f to v.8+: You must search your configuration for the existence of varaibles starting with org-export- and change their names (e....
9
votes
2answers
210 views

Portability of bytecode between Emacs versions

I sometimes run multiple versions of Emacs from the same home directory. I have a number of byte-compiled files. Bytecode is not compatible across all Emacs versions, so I maintain separate ...
5
votes
1answer
829 views

How can I get Cask or Pallet to automatically install packages on startup?

I manage packages in Emacs using Cask and Pallet. Yesterday I upgraded to Emacs 24.4; it went well enough, but all of a sudden all my packages were missing. Cask installs packages in separate ...
6
votes
1answer
403 views

Recursive load error in csharp mode on upgrading to 24.4

I'm on OSX 10.9.4 and I was previously running emacs 24.3 installed via brew. This morning I got around to asking brew to upgrade me to 24.4. Everything seemed to go smoothly, except csharp-mode no ...